AbstractReadCommandBuilder.SinglePartitionSliceBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class AbstractReadCommandBuilder.SinglePartitionSliceBuilder

- java.lang.Object
- - org.apache.cassandra.db.AbstractReadCommandBuilder
  - - org.apache.cassandra.db.AbstractReadCommandBuilder.SinglePartitionSliceBuilder

- Enclosing class:
    AbstractReadCommandBuilder

      public static class AbstractReadCommandBuilder.SinglePartitionSliceBuilder
      extends AbstractReadCommandBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

      `AbstractReadCommandBuilder.PartitionRangeBuilder, AbstractReadCommandBuilder.SinglePartitionBuilder, AbstractReadCommandBuilder.SinglePartitionSliceBuilder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

      `cfs, columns, filter, nowInSeconds, reversed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinglePartitionSliceBuilder(ColumnFamilyStore cfs, DecoratedKey key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractReadCommandBuilder.SinglePartitionSliceBuilder` | `addSlice(Slice slice)`
    `ReadCommand` | `build()`
    `protected ClusteringIndexFilter` | `makeFilter()`

    - ### Methods inherited from class org.apache.cassandra.db.AbstractReadCommandBuilder

      `columns, filterOn, fromExcl, fromIncl, includeRow, makeColumnFilter, makeLimits, reverse, toExcl, toIncl, withLimit, withNowInSeconds, withPagingLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinglePartitionSliceBuilder

          public SinglePartitionSliceBuilder(ColumnFamilyStore cfs,
                                             DecoratedKey key)

  - ### Method Detail

    - #### addSlice

          public AbstractReadCommandBuilder.SinglePartitionSliceBuilder addSlice(Slice slice)

    - #### makeFilter

          protected ClusteringIndexFilter makeFilter()

      Overrides:
        `makeFilter` in class `AbstractReadCommandBuilder`

    - #### build

          public ReadCommand build()

      Specified by:
        `build` in class `AbstractReadCommandBuilder`

Copyright © 2018 The Apache Software Foundation